# Companion

object Companion
Content copied to clipboard

## Functions

hasVaryAll
Link copied to clipboard
fun Response.hasVaryAll(): Boolean
Content copied to clipboard
Returns true if a Vary header contains an asterisk.
key
Link copied to clipboard
@JvmStatic()
fun key(request: Request): String
Content copied to clipboard
varyHeaders
Link copied to clipboard
fun Response.varyHeaders(): Headers
Content copied to clipboard
Returns the subset of the headers in this's request that impact the content of this's body.
varyMatches
Link copied to clipboard
fun varyMatches(cachedResponse: Response, cachedRequest: Headers, newRequest: Request): Boolean
Content copied to clipboard
Returns true if none of the Vary headers have changed between cachedRequest and newRequest.